Skip to main content
GET
Retrieve interview

Authorizations

Authorization
string
header
required

Organisation API key created in Assess → Developer → API Keys. Format: Bearer ct_live_<your-key> (live) or Bearer ct_test_<your-key> (test). Optional per-key CIDR allowlists return 403 IP_NOT_ALLOWED.

Path Parameters

room_id
string<uuid>
required

Response

id
string<uuid>
required
read-only
title
string
required
Maximum string length: 300
candidate_token
string
required
Maximum string length: 64
org_id
string<uuid> | null
required
read-only
questions
object[]
required
read-only
messages
object[]
required
read-only
created_at
string<date-time>
required
read-only
identity_match
enum<string>
required
read-only
Available options:
linked,
mismatch,
unlinked
candidate_session_id
string<uuid> | null
required
read-only
linked_assessment_title
string
required
read-only
linked_assessment_slug
string
required
read-only
mode
enum<string>
Available options:
org,
engineer
interview_type
enum<string>
Available options:
coding,
technical,
system_design,
behavioral,
mixed
status
enum<string>
Available options:
prepared,
scheduled,
waiting,
active,
ended,
expired,
no_show
interviewer_mode
enum<string>
Available options:
ai_only,
human_only,
hybrid
human_can_join
boolean
active_language
enum<string>
Available options:
python,
javascript,
typescript,
sql,
java,
go,
bash
time_limit_minutes
integer | null
Required range: 0 <= x <= 2147483647
scheduled_at
string<date-time> | null
started_at
string<date-time> | null
ended_at
string<date-time> | null
candidate_name
string
Maximum string length: 200
candidate_email
Maximum string length: 254
integrity_config
any
whiteboard_snapshot
unknown
voice_mode
boolean
job_description
string
resume_text
string
target_role
string
Maximum string length: 200
target_company
string
Maximum string length: 200
difficulty
enum<string>
Available options:
entry,
mid,
senior,
staff,
session_metadata
any
Last modified on September 5, 2026